Summary: The NIS daemon which binds NIS clients to an NIS domain.
Name: ypbind
Version: 3.3
Release: 32tr
License: GPL
Group: Network/Clients
Source0: ftp://ftp.kernel.org/pub/linux/utils/net/NIS/ypbind-%{PACKAGE_VERSION}.tar.gz
Source1: ypbind.init
Source2: yp.conf
Patch0: ypbind-3.3-glibc5.diff.gz
Patch1: ypbind-3.3-am.patch
Patch2: ypbind-3.3-domain.patch
Patch3: ypbind-3.3-getopt.patch
Patch4: ypbind-3.3-ping.patch
Patch5: ypbind-3.3-broadcast.patch
Patch6: ypbind-3.3-errorlog.patch
Prereq: /sbin/chkconfig
Requires: portmap
Requires: yp-tools
Buildroot: %{_tmppath}/ypbind-root

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network.  NIS can enable
users to login on any machine on the network, as long as the machine
has the NIS client programs running and the user's password is
recorded in the NIS passwd database.  NIS was formerly known as Sun
Yellow Pages (YP).

This package provides the ypbind daemon.  The ypbind daemon binds NIS
clients to an NIS domain.  Ypbind must be running on any machines
which are running NIS client programs.

Install the ypbind package on any machines which are running NIS client
programs (included in the yp-tools package).  If you need an NIS server,
you'll also need to install the ypserv package to a machine on your
network.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sbindir=/sbin --mandir=/usr/share/man
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT/usr/share/man

strip $RPM_BUILD_ROOT/sbin/ypbind

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ypbind
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/yp.conf
mkdir -p $RPM_BUILD_ROOT/var/yp/binding

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del ypbind
fi

%files
%defattr(-,root,root)
/sbin/ypbind
/usr/share/man/*/*
%config /etc/rc.d/init.d/*
%attr(0644,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/yp.conf
%dir /var/yp/binding
%doc README

%changelog
* Tue Jul 17 2001 Erlend Midttun <erlendbm@trustix.com>
- Inc serial number before release.

* Wed Nov 29 2000 Erlend Midttun <erlendbm@trustix.com>
- Changed postun to preun.  No use running a file that is not there.
  Thanks to Janke Ronnblom, <jan-ake.ronnblom@skeria.skelleftea.se>

* Mon Oct 30 2000 Erlend Midttun <erlendbm@trustix.com>
- One more buffer overflow in errorlog call.

* Thu Oct 26 2000 Tore Olsen <toreo@trustix.com>
- Securify fix: syslog() call missing format.

* Thu Mar 02 2000 Erlend Midttun <erlendbm@trustix.com>
- Moved man pages to comply with FHS
- Added attribs on /etc/yp.conf

* Fri Feb 04 2000 Nalin Dahyabhai <nalin@redhat.com>
- bug #9122: check that domainname isn't whitspace before removing files
- bug #9086: wrong path in man page fixed with --sbindir
- use DESTDIR at install-time

* Mon Jan 24 2000 Cristian Gafton <gafton@redhat.com>
- use getopt to parse options; add --ping option
- decrease the ping time to 10 sec (use --ping above if you don't like it)
- hack the init script to use the new --ping option
- add the -broadcast patch to fallback on broadcasting if the NIS server
  goes down. Make initscript know about that.

* Wed Sep 21 1999 Bill Nottingham <notting@redhat.com>
- fix initscript typo

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- patch from HJLu to fix queries for domains other than the default one.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Thu Jul  1 1999 Bill Nottingham <notting@redhat.com>
- move start script b/c ypserv moved

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- requires yp-tools, because ypwhcih is part of that package

* Tue Apr 13 1999 Bill Nottingham <notting@redhat.com>
- don't run ypwhich script if ypbind doesn't start

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- add a 10 second timeout for initscript...

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binary

* Thu Apr 01 1999 Preston Brown <pbrown@redhat.com>
- fixed init script to wait until domain is really bound (bug #1928)

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- revert to stabdard ypbind; ypbind-mt sucks.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Sat Feb 13 1999 Cristian Gafton <gafton@redhat.com>
- build as ypbind instead of ypbind-mt

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- addressed bug #609

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- provides ypbind
- switch to ypbind-mt instead of plain ypbind
- build for glibc 2.1
